#!/usr/bin/python
# -*- coding: UTF-8 -*-

############################################################################
##                                                                        ##
## XChat Python unicode hack                                              ##
##                                                                        ##
## Copyright (C) 2010  Fabien LOISON (www.flogisoft.com)                  ##
##                                                                        ##
## This program is free software: you can redistribute it and/or modify   ##
## it under the terms of the GNU General Public License as published by   ##
## the Free Software Foundation, either version 3 of the License, or      ##
## (at your option) any later version.                                    ##
##                                                                        ##
## This program is distributed in the hope that it will be useful,        ##
## but WITHOUT ANY WARRANTY; without even the implied warranty of         ##
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          ##
## GNU General Public License for more details.                           ##
##                                                                        ##
## You should have received a copy of the GNU General Public License      ##
## along with this program.  If not, see <http://www.gnu.org/licenses/>.  ##
##                                                                        ##
############################################################################


"""XChat Python unicode hack - prevent crash of other scripts using this hack

This script must be loaded before any other script that uses this hack. It can
be done by renaming this script "0.py" in the ".xchat2" directory.
"""


__version__ = "1.0"
__author__ = "Fabien Loison (www.flogisoft.com)"
__copyright__ = "Copyright © 2010 Fabien LOISON"

__module_name__ = "XChat Python unicode hack"
__module_version__ = __version__
__module_description__ = __doc__
__module_author__ = __author__


print("\0034%s %s [%s] loaded.\003" %(__module_name__, __module_version__, __copyright__))


#HACK: Set default encoding to UTF-8
if (sys.getdefaultencoding() != "utf-8"):
    oldout, olderr = sys.stdout, sys.stderr         # Backup stdout and stderr
    reload(sys)                                     # This call resets stdout and stderr
    sys.setdefaultencoding('utf-8')                 # Change encoding
    sys.stdout = codecs.getwriter('utf-8')(oldout)  # Set old stdout
    sys.stderr = codecs.getwriter('utf-8')(olderr)  # Set old stderr


